### Property

# Handy Leaflet:transition-type

since: 1.0

#### Declaration

    property transition-type: Handy.LeafletTransitionType [ read, write ]

#### Description [src]

The animation type used for transitions between modes and children.

The transition type can be changed without problems at runtime, so it is possible to change the animation based on the mode or child that is about to become current.

Type:`HdyLeafletTransitionType`

Available since: 1.0

Default value | HDY_LEAFLET_TRANSITION_TYPE_OVER
Getter method | `hdy_leaflet_get_transition_type()`
Setter method | `hdy_leaflet_set_transition_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no